import originpro as op
import os

#Pythonファイルがあるフォルダを変数に格納
working_folder = os.path.dirname(os.path.realpath(__file__)) + '\\'

# Example 3 Cloneable template

#新しいワークブックを作成
wks = op.new_book('w', hidden = True)[0]
#作成したワークブックにさきほどのworking_folder内のdataフォルダにあるclonable.csvファイルをインポートする
wks.from_file(working_folder + 'data\\cloneable.csv', False) 

#グラフテンプレートを変数に格納する
tmpl = working_folder + 'templates\\cloneable_template.otpu'
#クローンテンプレートの場合、アクティブなワークブックでテンプレート元のグラフと同じ場所や
#同じロングネームのついたデータを参照して自動的に作図するのでテンプレートだけ指定して作図
wks.plot_cloneable(tmpl)